<?php

class Konekcija {

    private $veza;
    private $error;

    public function __construct($host, $baza, $ime, $lozinka) {
        $this->veza = mysqli_connect($host, $ime, $lozinka) or die("Ne mozete da se konektujete"); // povezivanje na server
        $sel = mysqli_select_db($this->veza, $baza);
    }

    public function pokreniUpit($upit) {
        echo "<br /> $upit<br />";
        $rezultat = mysqli_query($this->veza, $upit); // or die(mysql_error());
        echo "<br />Rezultat je: $rezultat<br />"; // ispis upita zbog provere njegove ispravnosti
    }

    public function getRecord($upit) {
        $result = mysqli_query($this->veza, $upit);
        //echo("<br>Povratna vrednost je $result<br>");
        //For SELECT, SHOW, DESCRIBE, EXPLAIN and other statements returning resultset, 
        //mysql_query() returns a resource on success, or FALSE on error.
        //For other type of SQL statements, INSERT, UPDATE, DELETE, DROP, etc, 
        //mysql_query() returns TRUE on success or FALSE on error.
        echo($upit);
        $num_rows = mysqli_num_rows($result);
        if ($num_rows == 0) {
            $this->error = mysqli_error($this->veza);
            return 0;
        } else {
            $red = mysqli_fetch_row($result); // sada se rezultat stavlja u numericki niz
            foreach ($red as $value) {
                echo $value . ' ';
                echo '<br />';
            }
            return $red;
        }
    }

    public function getRecordSet($upit) {
        $niz = array();
        $result = mysqli_query($this->veza, $upit);
        $num_rows = mysqli_num_rows($result);
        if ($num_rows == 0) {
            $this->error = mysqli_error($this->veza);
            return 0;
        }
        echo '<table border=1>';
        while ($row = mysqli_fetch_assoc($result)) { // isto radi i mysql_fetch_array($result)
            echo '<tr>';
            $niz[] = $row; // svaki clan niza je vrsta iz tabele odnosno asocijativni niz
            echo '<td>' . $row['id_poruke'] . '</td>';
            echo '<td>' . $row['posiljalac'] . '</td>';
            echo '<td>' . $row['primalac'] . '</td>';
            echo '<td>' . $row['tekst_poruke'] . '</td>';
            echo '<td>' . $row['vreme'] . '</td>';
            echo '</tr>';
        }
        echo '</table>';
        return $niz;
    }

    public function getRecordSet1($upit) {
        $niz = array();
        $result = mysqli_query($this->veza, $upit);
        $num_rows = mysqli_num_rows($result);
        if ($num_rows == 0) {
            $this->error = mysqli_error();
            return 0;
        }
        echo '<table border=1>';
        while ($row = mysqli_fetch_array($result)) {
            echo '<tr>';
            $niz[] = $row;
            echo '<td>' . $row[0] . '</td>';
            echo '<td>' . $row[1] . '</td>';
            echo '<td>' . $row[2] . '</td>';
            echo '<td>' . $row[3] . '</td>';
            echo '</tr>';
        }
        echo '</table>';
        return $niz;
    }

    public function getRecordSet2($upit) {
        $niz = array();
        $result = mysqli_query($this->veza, $upit);
        $num_rows = mysqli_num_rows($result);
        if ($num_rows == 0) {
            $this->error = mysqli_error();
            return 0;
        }
        while ($row = mysqli_fetch_array($result)) {
            $niz[] = $row;
        }
        return $niz;
    }

    public function close() {
        if (!$this->veza) {
            die('Could not connect: ' . mysqli_error());
        }
        echo 'Connected successfully';
        mysqli_close($this->veza);
    }

    public function getError() {
        return $this->error;
    }

}

?>