<!DOCTYPE html>
<html>
    <body>
        <h1>PHP primer sa stringovima</h1>
        <?php
        echo "<h2>Stringovi</h2>";
        $naziv = "Internet";

        //funkcija koja odredjuje duzinu stringa: strlen(string)
        echo "Broj karaktera u stringu 'Internet': " . strlen($naziv); //izlaz: 8 karaktera
        echo "<br/>";

        //funkcija koja broji reci u stringu: str_word_count(string)
        echo "Broj reci: " . str_word_count("Elektrotehnicki fakultet u Beogradu"); //izlaz: 4 reci 
        echo "<br/>";

        //funkcija koja daje obrnuti string: strrev(string)
        echo "Obrnuti redosled: " . strrev("ETF BEOGRAD");
        echo "<br/>";

        //funkcija koja daje poziciju podstringa u okviru stringa: strpos(string, podstring)
        echo "Rec Beograd u stringu ETF Beograd nadjena na poziciji: " . strpos("ETF Beograd", "Beograd");
        echo "<br/>";

        //funkcija koja menja jedan string sa drugim stringom: str_replace(find,replace,string)
        echo str_replace("vece", "jutro", "Dobro vece!"); // izlaz: Dobro jutro!
        echo "<br/><br/>";

        echo "<h2>Konstante</h2>";
        //naredba za konstante define("naziv_const", "string")
        define("CESTITKA", "Zelimo vam srecnu i uspesnu novu godinu!");
        echo CESTITKA;
        echo "<br/>";

        //treci argument kod define je za case-insensitive ime
        define("CESTITKA", "Zelimo vam srecnu i uspesnu novu godinu!", true);
        echo cestitka;
        echo "<br/>";

        function mojTest() {
            echo CESTITKA . " Ovo je poziv konstante iz funkcije!";
        }

        mojTest();
        ?>
    </body>
</html>
